CREATE TABLE egi_spoke_pub_details (
    PUBLICATION_ID           NUMBER(18, 0),
    SOURCE_SYSTEM_ID         NUMBER(18, 0)    NOT NULL,
    PARENT_PUBLICATION_ID    NUMBER(18, 0),
    ENTITY_CODE              VARCHAR2(120)    NOT NULL,
    PARENT_ENTITY_CODE       VARCHAR2(120),
    PK1_VALUE                VARCHAR2(400),
    PK2_VALUE                VARCHAR2(400),
    PK3_VALUE                VARCHAR2(400),
    PK4_VALUE                VARCHAR2(400),
    PK5_VALUE                VARCHAR2(400),
    PUBLICATION_STATUS       VARCHAR2(120)    NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    PUBLICATION_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PUBLICATION_ID           NUMBER(18, 0),
    SOURCE_SYSTEM_ID         NUMBER(18, 0)    NOT NULL,
    PARENT_PUBLICATION_ID    NUMBER(18, 0),
    ENTITY_CODE              VARCHAR2(120)    NOT NULL,
    PARENT_ENTITY_CODE       VARCHAR2(120),
    PK1_VALUE                VARCHAR2(400),
    PK2_VALUE                VARCHAR2(400),
    PK3_VALUE                VARCHAR2(400),
    PK4_VALUE                VARCHAR2(400),
    PK5_VALUE                VARCHAR2(400),
    PUBLICATION_STATUS       VARCHAR2(120)    NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    PUBLICATION_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_egi_spoke_pub_details PRIMARY KEY (PUBLICATION_ID, PUBLICATION_ID)
);
